Your Moodle version

General plugins (Local): Analytics

local_analytics
Maintained by Picture of Bas Brands Bas Brands
A local Moodle Module adding Analytics. This plugin currently supports 3 Analytics modes, Piwik, Google Universal Analytics and Google Legacy Analytics.
426
645
29
Moodle 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7

moodle-local_analytics
==================

A local Moodle Module adding Site Analytics

The plugin features the following options:
- exclude tracking of admin users
- build full navigation tree for Piwik course category and activity tracking
- image based tracking in case javascript is disabled (for Piwik)
- advanced analytics for Google analytics (based on Bas Brands and Gavin Henricks work in 2013)

The plugin currently supports 3 Analytics modes, Piwik, Google Universal Analytics and Google Legacy Analytics.

For installation instruction on Piwik, please visit http://piwik.org/docs/installation/

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3

Contributors

Picture of Bas Brands
Bas Brands (Lead maintainer)
David
David Bezemer: Original author
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Josick Guermeur
    Fri, Sep 11, 2015, 3:50 PM
    Hi Samuel
    Just tried it I did put it before the closure is that right? Also found out that my site id was 1 on the plugin as Piwik had affected 2 to the site I monitored as I don't seem to be able to change it in Piwik, I did the change in the plugin. Guess it's gonna make a difference smile
  • Picture of Josick Guermeur
    Fri, Sep 11, 2015, 4:45 PM
    Hi Samuel
    Doesn't work for me and my pages are still recorded in Piwik in moodle style: http://www.xtrema.fr/training/mod/forum/discuss.php?d=460
    I wonder if this plugin works at all and why it wouldn't and no developper seems to be keen to answer.
    Of course I know it's a free service but silence is rude, anyway, ain't it?
  • Picture of Bas Brands
    Fri, Sep 11, 2015, 5:23 PM
    Hi Josick,

    Maybe you have not enabled the clean url setting. And please don't say it's rude if I do not answer you fast enough.
  • Picture of Josick Guermeur
    Fri, Sep 11, 2015, 6:30 PM
    Ok sorry but at least, it got me an answer smile.
    And the clean url setting is enabled so how do I check if that plugin works or not?
  • Picture of Bas Brands
    Fri, Sep 11, 2015, 9:54 PM
    Have you tried turning it off and on again?
  • Picture of Josick Guermeur
    Sat, Sep 12, 2015, 12:26 AM
    I just did I'll leave like that for a while see what the visits look like on Piwik, then turn it on again.
    I'll let you know
  • Picture of Josick Guermeur
    Sun, Sep 13, 2015, 11:43 PM
    Hello
    I did let Piwik on for a few hours without the plugin and for a few hours with it. I do not see the slightest difference.
    Pages are annouced similarly:
    In the visitor's log they look in both case laike this:
    Cours : Induction Standard
    http://www.xtrema.fr/training/course/view.php?id=5
    In the pages tree: moodle like
    in the page title: plain text, I insist, with or without the plugin on.
    I would very much like to know what is supposed to be different with the plugin on and what is its use?

  • Picture of Josick Guermeur
    Mon, Sep 14, 2015, 3:46 PM
    So can Bas or anyone tell me what should be the difference in Piwik with and without this plugin?
  • Picture of Phuong Hoang
    Sun, Oct 11, 2015, 6:27 PM
    Hi Bas & David,
    Does it work on moodle 2.8 or newer version? I let visitors self register and open my site to everyone that's why I need that plugin.
    Love it,
  • Picture of Bas Brands
    Mon, Oct 12, 2015, 10:41 PM
    Hi there.

    Yes I do think it works okay for 2.8 and 2.9. But I'll plan some time to create new versions for these releases soon.
  • Picture of William Michael
    Fri, Nov 6, 2015, 12:46 PM
    Working fine for us in 2.9. Thanks very much.

    William Michael
    Classical Liberal Arts Academy
  • Picture of Han Wen Kam
    Mon, Jan 4, 2016, 10:02 AM
    Does this plugin support v2.9.x? As of this comment, the highest version supported is v2.7. Thank you.
  • Picture of Han Wen Kam
    Mon, Jan 4, 2016, 10:04 AM
    Oops, my bad, I didn't realised William already reported it working for v2.9... I had thought the comments run reverse chronologically with the latest comment up top. smile
  • Picture of Brandon Jimenez
    Tue, Jan 19, 2016, 9:52 PM
    Hi, I'm currently running a Moodle 2.9.3+ site and planning to update it to Moodle 3 or 3.1 (sometime in the future), and i would love to have your plugin installed. I do, however, have a question: have you tested in a Moodle 3+ environment?

    Thanks
  • Picture of Bas Brands
    Wed, Jan 20, 2016, 12:07 AM
    Hi Brandon,

    Yes, I have used it on Moodle 3.0 and it's still working!
1 2 3 4 5
Please login to post comments